#!/usr/bin/sh
SELF=$(readlink -f $0)
export ENV_ROOT=$(dirname "${SELF}")

export COMPOSE_PROJECT_NAME=agg-aggkit-${CI_JOB_ID}

trap '$ENV_ROOT/down.sh' EXIT

cd $ENV_ROOT

if [ -z "${RUBY_VERSION}" ]; then
  export RUBY_VERSION=2.5
fi

docker-compose build --no-cache || exit 1
docker-compose up -d --force-recreate || exit 1
echo "\n ** Testing with Ruby $RUBY_VERSION **\n"
docker-compose exec -T tests /bin/bash -c -l "rvm use $RUBY_VERSION; exec bundle exec rspec $@"

code=$?
if [ $code -ne 0 ]; then
  docker-compose logs
  exit $code
fi

docker cp "$(docker-compose ps -q tests)":/home/app/rspec.xml ./rspec-${RUBY_VERSION}.xml || true

code=$?
if [ $code -ne 0 ]; then
  docker-compose logs
fi

exit $code